\documentclass[11pt, a4paper]{report}
\usepackage{breakurl}
%% include spec

%% styling from https://codeinthehole.com/guides/writing-a-thesis-in-latex/
\usepackage[left=1.5in, right=1in, top=1in, bottom=1in, includefoot, headheight=13.6pt]{geometry}
\usepackage[breaklinks, pdfborderstyle={/S/U/W 0}]{hyperref}
\usepackage{listings} %% used for code examples
\usepackage{xcolor}
\PassOptionsToPackage{table}{xcolor}
\usepackage{wrapfig}
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

\usepackage{inconsolata}
\usepackage{ClearSans}
\usepackage{charter}
\usepackage{titlesec}
\usepackage{titling}
\usepackage{amsmath}
\usepackage{amsfonts}

\usepackage{epigraph}
\setlength{\epigraphwidth}{4in}

\titleformat*{\section}{\Large\raggedright\bfseries\sffamily}
\titleformat*{\subsection}{\Large\raggedright\sffamily}
\titleformat*{\subsubsection}{\large\raggedright\sffamily}

% Multiple cites from https://tex.stackexchange.com/a/537201
\usepackage{cite}
\makeatletter
\newcommand{\citecomment}[2][]{\citen{#2}#1\citevar}
\newcommand{\citeone}[1]{\citecomment{#1}}
\newcommand{\citetwo}[2][]{\citecomment[,~#1]{#2}}
\newcommand{\citevar}{\@ifnextchar\bgroup{;~\citeone}{\@ifnextchar[{;~\citetwo}{]}}}
\newcommand{\citefirst}{\@ifnextchar\bgroup{\citeone}{\@ifnextchar[{\citetwo}{]}}}
\newcommand{\cites}{[\citefirst}
\makeatother

\newcommand{\todo}[1]{\textbf{TODO: } #1}

\lstdefinestyle{lisp-listing}{
    commentstyle=\color{codegreen},
    keywordstyle=\color{magenta},
    numberstyle=\tiny\color{codegray},
    stringstyle=\color{codepurple},
    keywordstyle=\textbf,
    basicstyle=\ttfamily\small,
    basewidth=0.5em,
    breakatwhitespace=false,
    breaklines=true,
    captionpos=b,
    keepspaces=true,
    showspaces=false,
    showstringspaces=false,
    showtabs=false,
    tabsize=2
}
\lstset{style=lisp-listing}


%% images
\usepackage{graphicx}
\graphicspath{{./figures/}}


%% end images
\usepackage[toc]{glossaries}
\makenoidxglossaries
\loadglsentries{glossary}
\begin{document}

\title{\includegraphics[width=5cm]{pink-rose}\\[1cm]
  Utena\\
  {\large\emph{Draft Specification of a Maximalist Computing System}}}
\author{Cooperative of Applied Language\\
  \href{https://applied-langua.ge}{applied-langua.ge}}
\maketitle

\tableofcontents

\include{introduction}
\include{vm-messages}
\include{classes}
\include{primitives}
\include{semantics}

\appendix
\include{discussions/discussions}
\include{discussions/varying-number-of-arguments}
\include{discussions/immutable-eq}
\include{discussions/dynamic-environment}

\printnoidxglossaries

\bibliographystyle{alpha}
\addcontentsline{toc}{chapter}{Bibliography}
\bibliography{bibliography}
\end{document}
%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% End: